using System;
using System.IO;
using System.Collections.Specialized;
using System.Web;

namespace Interval.Examples.HttpHandlers
{
	/// <summary>
	/// Nov handler pro ASP.MET
	/// </summary>
	public class MyFirstHandler : IHttpHandler
	{
		/// <summary>
		/// Konstruktor
		/// </summary>
		public MyFirstHandler()
		{

		}
		
		#region IHttpHandlerImplementatiom
		/// <summary>
		/// Vlastnost vrac true, to znamen, e jednu instanci tdy <see cref="MyFirstHandler"/> je mon pout pro zpracovn vce poadavk
		/// </summary>
		bool IHttpHandler.IsReusable
		{
			get
			{
				return true;
			}
		}
		
		/// <summary>
		/// Zpracovn poadavku
		/// </summary>
		/// <param name="context">Instance tdy <see cref="HttpContext"/></param>
		void IHttpHandler.ProcessRequest(HttpContext context)
		{
			HttpResponse response = context.Response;
			HttpRequest request = context.Request;
			
			
			response.ContentType = "text/html";
			
			response.Write("<html><head><title>Zkuebni handler</title></head> <body>");


			response.Write(@"<h1>Prvn handler z <a href = 'http://interval.cz'> Intervalu </a></h1>");
			response.Write(@"<h2>Hodnoty v Request.QueryString:</h2>");

			string[] qsKeys = request.QueryString.AllKeys;

			foreach(string key in qsKeys)
				response.Write("Kl: " + key + "&nbsp;&nbsp; Hodnota: " + request.QueryString[key] + "<br/>");

			response.Write("</body></html>");
	}
							  
	#endregion IHttpHandlerImplementatiom
}
}
